HaruDoc::setEncryptionMode
HaruDoc::setInfoDateAttr
HaruDoc
PHP Manual

# HaruDoc::setInfoAttr

(PECL haru:0.0.1)

HaruDoc::setInfoAttr — Set the info attribute of the document

### Description

bool HaruDoc::setInfoAttr ( int `$type` , string `$info` )

Defines an info attribute. Uses the current encoding of the document.

### Parameters

`type`

  The type of the attribute. Can be one of the following:

  - `HaruDoc::INFO_AUTHOR`
  - `HaruDoc::INFO_CREATOR`
  - `HaruDoc::INFO_TITLE`
  - `HaruDoc::INFO_SUBJECT`
  - `HaruDoc::INFO_KEYWORDS`
`info`

  The value of the attribute.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws HaruException on error.

### See Also

- HaruDoc::setInfoDateAttr()

HaruDoc::setEncryptionMode
HaruDoc::setInfoDateAttr
HaruDoc
PHP Manual